#!/bin/sh

usage() {
        echo ""
	echo "Usage:"
	echo "id-new-project.sh srcdir description {pub/private/admin}"
	echo "For example:"
	echo "id-new-project.sh ../myproj \"Which does good things\" private"
	exit 1
}

SRC=$1
DESC=$2
TYPE=$3

case "${TYPE}" in
	pub | private | admin ) ;;
	* ) echo "invalid type: '$TYPE', use pub or private or admin "; usage ;;
esac

if test ! -e post-receive; then
	echo "file post-receive must be in the current directory"
	exit 1	
fi

PROJ=`basename $SRC`

if test -d ${PROJ}.git; then
	echo "${PROJ}.git already exists"
	exit 1
fi


if git clone --bare $SRC ${PROJ}.git; then
	cd ${PROJ}.git
	touch git-daemon-export-ok
	echo "${DESC}" >description
	git config core.sharedRepository true
	git config core.ignorecase true
	cp ../post-receive hooks/post-receive
	chmod +x hooks/post-receive
	git config hooks.mailinglist gitid@indexdata.dk
	cd ..
	scp -P 222 -r ${PROJ}.git git.indexdata.com:/home/git/${TYPE}
	ssh -p 222 git.indexdata.com "cd /home/git/${TYPE}/${PROJ}.git && chmod -R g+w . && chgrp -R git . && find . -type d | xargs chmod g+s"
fi

